Bug 508417 - Review Request: rubygem-ruby-opengl - OpenGL Interface for Ruby
Review Request: rubygem-ruby-opengl - OpenGL Interface for Ruby
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On: 508416
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 18:48 EDT by Mamoru TASAKA
Modified: 2009-07-15 13:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 13:38:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2009-06-26 18:48:38 EDT
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-ruby-oepngl/rubygem-ruby-opengl.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-ruby-oepngl/rubygem-ruby-opengl-0.60.1-2.fc.src.rpm
Description:
ruby-opengl consists of Ruby extension modules that are bindings 
for the OpenGL, GLU, and GLUT libraries. It is intended to be 
a replacement for -- and uses the code from -- Yoshi's ruby-opengl.

Koji sratch build:
- Not available yet because this depends on bug 508416
- However mock build results for dist-f12 i586/x86_64 are available on:
  http://mtasaka.fedorapeople.org/Review_request/rubygem-ruby-oepngl/Results/
Comment 1 Mamoru TASAKA 2009-06-26 18:50:43 EDT
By the way the naming seems a bit strange, however gem name is
actually called as "ruby-opengl" so I think "rubygem-ruby-opengl" is
proper for srpm name.
Comment 2 Lubomir Rintel 2009-07-08 13:33:50 EDT
(In reply to comment #1)
> By the way the naming seems a bit strange, however gem name is
> actually called as "ruby-opengl" so I think "rubygem-ruby-opengl" is
> proper for srpm name.  

Definitely.

* Named correctly
* SPEC file clean, legible and in american english
* license correct
* builds fine in mock
* Proper compiler flags used
* filelists sane
* require/provide list seems sane

Tip: You may want to fill in the %check section with the testsuite executed conditionally (e.g. prepend it with [ "$DISPLAY" ] || exit 0), so that the maintainer (you) can run the tests in his development setup before sumbitting the package into the build system.

APPROVED

(please don't import/build before the minor concerns from the dependency package are addressed and it is approved as well)
Comment 3 Mamoru TASAKA 2009-07-08 14:44:41 EDT
Thank you!

Now as bug 508416 is approved:
--------------------------------------------------------
New Package CVS Request 
=======================
Package Name:       rubygem-ruby-opengl
Short Description:  OpenGL Interface for Ruby
Owners:             mtasaka
Branches:           F-11 F-10
InitialCC:          (nobody)
Comment 4 Jason Tibbitts 2009-07-09 23:35:38 EDT
CVS done.
Comment 5 Mamoru TASAKA 2009-07-15 13:38:09 EDT
Now closing. Thank you for reviewing and CVS procedure.

Note You need to log in before you can comment on or make changes to this bug.